<template>
  <div>
    <van-empty description="您未登录，请先登录" />
  </div>
</template>

<script>
import signboardDevice from '@/api/device/signboardDevice.js'
export default {
  name: 'MobileDeviceNav',
  data() {
    return {
      loginname: ''
    }
  },
  created() {
    this.loginname = this.$route.query.loginname
    console.log(this.loginname );
    this.authentication(this.loginname)
  },
  mounted() {},

  methods: {
    authentication(loginname) {
      // let loginname = sessionStorage.getItem('currentUser')
      signboardDevice.accountCode(loginname, res => {
        sessionStorage.setItem('currentUser', JSON.stringify(res))
        if (JSON.parse(sessionStorage.getItem('currentUser')).token) {
          this.$router.push({name: 'MobileDeviceNav'})
        }
      })
    }
  }
}
</script>

<style scoped lang="scss"></style>
